const { SlashCommandBuilder, EmbedBuilder, DefaultWebSocketManagerOptions, discordSort } = require("discord.js");
const { __glob } = require("../modules/global-variables");
const { LogType } = require("./sub-log");
var { List } = require("./sub-list")
const discord = require("./discord-bot")
const subplayer = require("./sub-player")
const fs = require("fs")
var playlists = {}
const plog = new LogType("Playlist-Manager")

check()

module.exports.getUser = function (id) {
    check()
    if(!playlists[id]) {
        plog.log("Ajout de l'utilisateur \"" + id  + "\" dans la base de donnée Playlist !")
        playlists[id] = {}

        fs.writeFileSync(__glob.PLAYLIST, JSON.stringify(playlists, null, 2))
        return playlists[id]
    } else {

        plog.log("L'utilisateur \"" + id  + "\" existe déjà dans la base de donnée Playlist !")
        return playlists[id]
    }

}

module.exports.addPlaylist = function (id, name) {
    check()
    if(!playlists[id][name]) {
        plog.log("Ajout de la playlist à l'utilisateur \"" + id  + "\" dans la base de donnée Playlist !")
        playlists[id][name] = []

        fs.writeFileSync(__glob.PLAYLIST, JSON.stringify(playlists, null, 2))
    } else {

        plog.log("L'utilisateur \"" + id  + "\" à déjà une playlist avec le nom "+ name + " dans la base de donnée Playlist !")
    
    }

}

module.exports.removePlaylist = function (id, name) {
    check()
    if(playlists[id][name]) {
        plog.log("Supression de la playlist à l'utilisateur \"" + id  + "\" dans la base de donnée Playlist !")
        delete playlists[id][name]

        fs.writeFileSync(__glob.PLAYLIST, JSON.stringify(playlists, null, 2))
    } else {

        plog.log("L'utilisateur \"" + id  + "\" n'a pas une playlist avec le nom "+ name + " dans la base de donnée Playlist !")
    
    }

}

module.exports.addSong = function (id, name, song) {
    check()
    if(playlists[id][name]) {
        
        plog.log("Ajout d'une chanson dans la playlist '" + name + "' à l'utilisateur \"" + id  + "\" dans la base de donnée Playlist !")
        
        playlists[id][name].push(song)
        
        fs.writeFileSync(__glob.PLAYLIST, JSON.stringify(playlists, null, 2))
    } else {

        plog.log("L'utilisateur \"" + id  + "\" n'a pas une playlist avec le nom "+ name + " dans la base de donnée Playlist !")
    
    }

}


module.exports.removeSong = function (id, name, song ) {
    check()
    if(playlists[id][name]) {
        plog.log("Supression d'une chanson dans la playlist '" + name + "' à l'utilisateur \"" + id  + "\" dans la base de donnée Playlist !")
        playlists[id][name].splice(playlists[id][name].indexOf(song), 1)

        fs.writeFileSync(__glob.PLAYLIST, JSON.stringify(playlists, null, 2))
    } else {

        plog.log("L'utilisateur \"" + id  + "\" n'a pas une playlist avec le nom "+ name + " dans la base de donnée Playlist !")
    
    }

}

module.exports.playPlaylist = function (id, name) {
    check()
    if(playlists[id][name]) {
        plog.log("Ajout de la playlist à l'utilisateur \"" + id  + "\" dans la liste de lecture !")
        
        subplayer.playPlaylist(id, playlists[id][name])
    } else {

        plog.log("L'utilisateur \"" + id  + "\" n'a pas une playlist avec le nom "+ name + " dans la base de donnée Playlist !")
    
    }

}



function check() {

    if(fs.existsSync(__glob.PLAYLIST)) {

        playlists = JSON.parse(fs.readFileSync(__glob.PLAYLIST))
    } else {

        fs.writeFileSync(__glob.PLAYLIST, JSON.stringify(playlists, null, 2))
    }
}