const userInfoDiv = document.getElementById("userInfo")
const userInfoPopup = document.getElementById("userPopup")
const userInfoglobal = document.getElementById("userInfoglobal")

const musicTitle = document.getElementById("music_title")
const musicURL = document.getElementById("music_img")

const durationBar = document.getElementById("duration")
const durationTextAct = document.getElementById("durationTextAct")
const durationTextTotal = document.getElementById("durationTextTotal")

const backward = document.getElementById("backward")
const play = document.getElementById("play")
const forward = document.getElementById("forward")


const settingsBtn = document.getElementById("settings_btn")



const loop = document.getElementById("loop")
const vol = document.getElementById("vol")
const shuffle = document.getElementById("shuffle")
const list = document.getElementById("list")
const takeCurrent =  document.getElementById("takeCurrent")

const volBox = document.getElementById("volumeBox")
const volTxt = document.getElementById("volumeTxt")
const volDiv = document.getElementById("volDiv")
const volRange = document.getElementById("volumeInput")

const listBox = document.getElementById("listBox")
const listNumber = document.getElementById("listNumber")

const disconnect = document.getElementById("disconnect")

const userInfo = get("USER_INFO")

const report_dialog = document.getElementById("report_dialog")
const report_close = document.getElementById("report_close")
const reportBtn = document.getElementById("reportBtn")
const report_level =  document.getElementById("report_level")
const report_desc =  document.getElementById("report_desc")
const report_send =  document.getElementById("report_send")

const searchBtn = document.getElementById("search_btn")
const homeBtn = document.getElementById("home_btn")
const mainView = document.getElementById("mainView")

const restartBtn = document.getElementById("restartBtn")
const WelcomeContent = mainView.firstElementChild.outerHTML
const playlistContent = document.getElementById("playlist-content")

var wasOnPlaylist = false

var playlistSelected = null
var playlistValue = null
var deleteJustBefore = null
var currentSong = null

var playlistAvailable = null

restartBtn.addEventListener("click", () => {

    get("RESTART")
})



homeBtn.style.color = "white"

var xMousePos = 0;
var yMousePos = 0;
document.onmousemove = function(e)
{
  xMousePos = e.clientX + window.pageXOffset;
  yMousePos = e.clientY + window.pageYOffset;
};


homeBtn.addEventListener("click", () => {

    mainView.innerHTML = WelcomeContent
    wasOnPlaylist = false

})

function delPlayList(key) {

    send("DELETE_PLAYLIST", key)
    mainView.innerHTML = WelcomeContent
    playlistSelected = null
    playlistValue = null

}


function playPlayList(key) {

    send("PLAY_PLAYLIST", key)
 

}


socket.on("DO_UPDATE_PLAYLIST", () => {

    get("PLAYLIST")
})

get("PLAYLIST")

socket.on("ANSWER/GET/PLAYLIST", (data) => {
    var contentToPush = new Array()
    var selectionData = new Array()


    contentToPush.push('<div id="addPlaylist" class="playlist_div"><i class="fa-solid fa-plus playlist_tile"></i> Créer une playlist</div>')


    for (const [key, value] of Object.entries(data)) {

        contentToPush.push('<div id="' + key + '_playlist" class="playlist_div checker"><img class="playlist_tile" src="/images/playlist-tile.svg"><p>' + key + '</p></div>')
        selectionData.push('<option style="color: black;">' + key +  '</option>')
    }
    

    

    if(contentToPush.join("") == "") {
        
        playlistContent.innerHTML = '<p class="error">Aucun morceau trouvé !</p>'
    
    } else {

        playlistContent.innerHTML = contentToPush.join("")
        playlistAvailable = selectionData
    }

    if(playlistSelected && deleteJustBefore || playlistSelected && wasOnPlaylist) {
        deleteJustBefore = null
        loadPlaylist(playlistSelected, data[playlistSelected])   
    }

    for (const [key, value] of Object.entries(data)) {

        const playlist_selector = document.getElementById(key + '_playlist')

        playlist_selector.addEventListener("click", () => {
            
            loadPlaylist(key, value) 
            wasOnPlaylist = true           

        })
    }

    const buttons = document.querySelectorAll(".checker");

    buttons.forEach(button => {
        button.addEventListener("click", function () {
            buttons.forEach(btn => {
                if (btn === button) {
                    btn.style.color = "white";
                } else {
                    btn.style.color = "";
                }
            });
        });
    });
    
    
    const addPlaylist = document.getElementById("addPlaylist")
    const addPlaylist_dialog = document.getElementById("addPlaylist_dialog")
    const apText = document.getElementById("apText")
    const apCreate = document.getElementById("apCreate")


    addPlaylist_close.addEventListener("click", () => {
        
        addPlaylist_dialog.close()
    })

    addPlaylist.addEventListener("click", () => {
        
        apText.value = ""
        addPlaylist_dialog.showModal()
    })

    apCreate.addEventListener("click", () => {

        addPlaylist_dialog.close()
        send("CREATE_PLAYLIST", apText.value)
        
    })

  
    
    console.log(data)
})

function loadPlaylist(key, value) {

    var playlistToPush = new Array()
    var playlist_songs = new Array()

    playlistSelected = key
    playlistValue = value

    for(var title of value) {

            var PFormatduration = null
            pdurationAll = title.duration

            const pmaxhours = Math.floor(pdurationAll / 3600000);

            var pmaxmin = Math.trunc(pdurationAll / 60000) - (Math.floor(pdurationAll / 60000 / 60) * 60);
            var pmaxsec = Math.floor(pdurationAll / 1000) - (Math.floor(pdurationAll / 1000 / 60) * 60);

          
            if (pmaxsec < 10) {
                pmaxsec = `0${pmaxsec}`;
            }


            if(pmaxhours != 0) {

                if (pmaxmin < 10) {
                    pmaxmin = `0${pmaxmin}`;
                }

                
                pmax = pmaxhours + ":" + pmaxmin + ":" + pmaxsec
            } else {
                pmax =  pmaxmin + ":" + pmaxsec
            
            }

            PFormatduration = pmax

            var thumbnail = title.thumbnail
    
                    if(!thumbnail) {

                        thumbnail = "/images/black-image.svg"
                    }

        playlist_songs.push('<div class="search_song"> <img class="search_thumbnail" src="' + thumbnail + '"><div class="search_titleSong"> <p class="search_title">' + title.title + '</p></div> <p>' + title.author + '</p><p>' + PFormatduration + '</p> <div class="search_buttons"><button id="' + value.indexOf(title) +  '_padd" class="search_add"><i class="fa fa-plus"></i></button><button id="' + value.indexOf(title) +  '_pplay" class="search_lmore"><i class="fa fa-play"></i></button><button id="' + value.indexOf(title) +  '_pdelete" style="font-size: 20px;" class="list_delete"><i class="fa fa-trash"></i></button></div></div>')

    }

    playlistToPush.push('<div class="apPres"><div class="apTitle"><img class="apTile" src="/images/playlist-tile.svg"><p class="apName">' + key + '</p></div><div class="apButtons"><button onclick="playPlayList(\''+ key +'\')" id="'+ key +'_playlistplay" class="primary"><i class="fas fa-play"></i></button><button onclick="delPlayList(\''+ key +'\')" "id="'+ key +'_playlistdelete" class="list_delete"><i class="fas fa-trash"></i></button></div></div><hr>' + playlist_songs.join(""))
    
    if(playlistToPush.join("") == "") {

        mainView.innerHTML = '<p class="error">Aucun morceau trouvé !</p>'
    
    } else {

        mainView.innerHTML = playlistToPush.join("")

        
    }

    for(var title of value) {

        const add_to = document.getElementById(value.indexOf(title) + "_padd")
        const playNow = document.getElementById(value.indexOf(title) + "_pplay")
        const deleteBtn = document.getElementById(value.indexOf(title) + "_pdelete")

        add_to.addEventListener("click", () => {

            send("ADD_SONG", value[add_to.id.replace("_padd", "")])
        })

        playNow.addEventListener("click", () => {

            send("ADD_SONG_NOW", value[add_to.id.replace("_padd", "")])

        })

        deleteBtn.addEventListener("click", () => {

            deleteJustBefore = true
            send("DELETE_SONG_TO_PLAYLIST", key, value[add_to.id.replace("_padd", "")])
            
        })

    
    }

}



searchBtn.addEventListener("click", () => {

    mainView.innerHTML = '<div class="findbar"><i class="fa fa-search"></i><input autofocus  id="searchBar" placeholder="Insérez des mots-clés ou un lien" type="text"></div><div class="search_middle"></div><div id="search_content"></div>'
    const searchBar = document.getElementById("searchBar")
    const searchcontent = document.getElementById("search_content")

    wasOnPlaylist = false

    searchBar.addEventListener("change", () => {

    
        send("SEARCH", searchBar.value).then(answerOfResult => {
            
            var results = answerOfResult.results
            var playlistReconnised = answerOfResult.playlist

            if(!playlistReconnised) {

            if(results.tracks != null) {
                const data = results.tracks
             
                console.log(data)
                var contentToPush = new Array()
        
                for(var title of data) {
                    
                    var PFormatduration = null
                    pdurationAll = title.duration

                    const pmaxhours = Math.floor(pdurationAll / 3600000);

                    var pmaxmin = Math.trunc(pdurationAll / 60000) - (Math.floor(pdurationAll / 60000 / 60) * 60);
                    var pmaxsec = Math.floor(pdurationAll / 1000) - (Math.floor(pdurationAll / 1000 / 60) * 60);

                
                    if (pmaxsec < 10) {
                        pmaxsec = `0${pmaxsec}`;
                    }


                    if(pmaxhours != 0) {

                        if (pmaxmin < 10) {
                            pmaxmin = `0${pmaxmin}`;
                        }

                        
                        pmax = pmaxhours + ":" + pmaxmin + ":" + pmaxsec
                    } else {
                        pmax =  pmaxmin + ":" + pmaxsec
                    
                    }

                    var thumbnail = title.thumbnail
    
                    if(!thumbnail) {

                        thumbnail = "/images/black-image.svg"
                    }

                    PFormatduration = pmax
                    contentToPush.push(' <div class="search_song"> <img class="search_thumbnail" src="' + thumbnail + '"><div class="search_titleSong"> <p class="search_title">' + title.title + '</p></div> <p>' + title.author + '</p><p>' + PFormatduration + '</p> <div class="search_buttons"><button id="' + data.indexOf(title) +  '_ladd" class="search_add"><i class="fa fa-plus"></i></button> <div class="searchMoreDiv"><button id="' + data.indexOf(title) + '_lmore" class="search_lmore"><i class="fa-solid fa-ellipsis"></i></button></div><div class="searchPopup" id="' + data.indexOf(title) + '_popup"><div id="' + data.indexOf(title) + '_playNow" class="INDEX_line"><i class="fa-solid fa-play"></i> Lire maintenant</div><div id="' + data.indexOf(title) +'_addPlaylist" class="INDEX_line"><i class="fa-regular fa-square-plus"></i> Ajouter à une playlist</div></div></div><dialog id="' +  data.indexOf(title) + 'playlistManager" class="report_dialog"><div class="rlineclose"><p class="rtitle"><i class="fa fa-square-plus"></i> Ajouter à une playlist</p><button id="' +  data.indexOf(title) + 'playlistManager_close" class="report_close"><i class="fa-solid fa-xmark"></i></button></div><div class="apContent"><img id="' +  data.indexOf(title) + 'playlist_add_img" class="ppTile" src="/images/playlist-tile.svg"><p style="padding: 1%;" id="' +  data.indexOf(title) + 'playlist_add_music"></p><p>Selectionner la playlist</p><select style=" color: white; background-color: transparent; border: solid 2px #2c3df4;padding: 1%; border-radius: 12px;" id="' +  data.indexOf(title) + 'playlistSelection"></select><button id="' +  data.indexOf(title) + 'playlistAddSong" class="rsend"><i class="fa fa-plus"></i> Ajouter</button></div></dialog></div>')
                }
        
                if(contentToPush.join("") == "") {
        
                    searchcontent.innerHTML = '<p class="error">Aucun morceau trouvé !</p>'
                
                } else {
        
                    searchcontent.innerHTML = contentToPush.join("")
                }
        
                for(var title of data) {
        
                    const add_to = document.getElementById(data.indexOf(title) + "_ladd")
                    const test_lmore = document.getElementById(data.indexOf(title) + "_lmore")
                    const testPopup = document.getElementById(data.indexOf(title) + "_popup") 
                    const playNow = document.getElementById(data.indexOf(title) + "_playNow")
                    const addPlaylist = document.getElementById(data.indexOf(title) + "_addPlaylist")  

                    const PlaylistManager = document.getElementById(data.indexOf(title) + "playlistManager")
                    const playlistManager_close = document.getElementById(data.indexOf(title) + "playlistManager_close")
                    const playlistSelection = document.getElementById(data.indexOf(title) + "playlistSelection")
                    const playlist_add_music = document.getElementById(data.indexOf(title) + "playlist_add_music")
                    const playlist_add_img = document.getElementById(data.indexOf(title) + "playlist_add_img")
                    const playlistAddSong = document.getElementById(data.indexOf(title) + "playlistAddSong")

                    var thumbnail = data[add_to.id.replace("_ladd", "")].thumbnail
    
                    if(!thumbnail) {

                        thumbnail = "/images/black-image.svg"
                    }
                  
                    testPopup.style.display = "none"
    
                    add_to.addEventListener("click", () => {
    
                        send("ADD_SONG", data[add_to.id.replace("_ladd", "")])
                    })

                    addPlaylist.addEventListener("click", () => {

                        PlaylistManager.showModal()
                        playlist_add_music.innerHTML = data[add_to.id.replace("_ladd", "")].title
                        playlist_add_img.src = thumbnail
                        playlistSelection.innerHTML = playlistAvailable
                    })

                    playlistManager_close.addEventListener("click", () => {

                        PlaylistManager.close()
                    })

                    playlistAddSong.addEventListener("click", () => {

                        
                        PlaylistManager.close()
                    
                        socket.emit("SEND/ADD_SONG_TO_PLAYLIST", playlistSelection.value , data[add_to.id.replace("_ladd", "")])

                    })
    
                    test_lmore.addEventListener("click",( ) => {
    
    
                            testPopup.style.display = "flex"
                            testPopup.style.top = yMousePos + "px"
    
                    })
    
                    testPopup.addEventListener("mouseleave", () => {
    
                            testPopup.style.display = "none"
                    
                    })
    
                    playNow.addEventListener("click", () => {
    
                        send("ADD_SONG_NOW", data[add_to.id.replace("_ladd", "")])
    
                    })

                  
        
                   
                }
               
        
            } else {
        
                searchcontent.innerHTML = '<p class="error">Aucun morceau trouvé !</p>'
        
            }

            } else {

                //https://www.youtube.com/playlist?list=PLA8VHLKYzqTvCcIKhsjGS41nG1zBpRZPy
       
                
                var playlistToPush = new Array()
                var playlist_songs = new Array()
        
            
                for(var title of results.videos) {
            
                        var PFormatduration = null
                        pdurationAll = title.milis_length
            
                        const pmaxhours = Math.floor(pdurationAll / 3600000);
            
                        var pmaxmin = Math.trunc(pdurationAll / 60000) - (Math.floor(pdurationAll / 60000 / 60) * 60);
                        var pmaxsec = Math.floor(pdurationAll / 1000) - (Math.floor(pdurationAll / 1000 / 60) * 60);
            
                      
                        if (pmaxsec < 10) {
                            pmaxsec = `0${pmaxsec}`;
                        }
            
            
                        if(pmaxhours != 0) {
            
                            if (pmaxmin < 10) {
                                pmaxmin = `0${pmaxmin}`;
                            }
            
                            
                            pmax = pmaxhours + ":" + pmaxmin + ":" + pmaxsec
                        } else {
                            pmax =  pmaxmin + ":" + pmaxsec
                        
                        }
            
                        PFormatduration = pmax
            
                    playlist_songs.push('<div class="search_song"> <img class="search_thumbnail" src="' + title.thumbnail_url + '"><div class="search_titleSong"> <p class="search_title">' + title.title + '</p></div> <p>' + title.author.name + '</p><p>' + PFormatduration + '</p> <div class="search_buttons"><button id="' + results.videos.indexOf(title) +  '_padd" class="search_add"><i class="fa fa-plus"></i></button><button id="' + results.videos.indexOf(title) +  '_pplay" class="search_lmore"><i class="fa fa-play"></i></button></div></div>')
            
                }
            
                playlistToPush.push('<div class="apPres"><div class="apTitle"><img style="width: 20%" class="" src="' +results.thumbnail_url + '"><div style=""><p style="margin-left: 2% !important;">' + results.author.name + " - (" + results.videos.length + " titres)" +  '</p><p class="apName">' + results.title + '</p></div></div><div class="apButtons"><button  onclick="fp_play_playlist(\'' + results.url + '\')" id="'+ results.id +'_playlistplay" class="primary"><i class="fas fa-play"></i></button></div></div><hr>' + playlist_songs.join(""))
                
                if(playlistToPush.join("") == "") {
            
                    searchcontent.innerHTML = '<p class="error">Aucun morceau trouvé !</p>'
                
                } else {
            
                    searchcontent.innerHTML = playlistToPush.join("")
            
                    
                }

                
                
                
                for(var title of results.videos) {
            
                    const add_to = document.getElementById(results.videos.indexOf(title) + "_padd")
                    const playNow = document.getElementById(results.videos.indexOf(title) + "_pplay")
                    
            
                    add_to.addEventListener("click", () => {
            
                        send("FP_ADD_SONG", results.videos[add_to.id.replace("_padd", "")].url)
                    })
            
                    playNow.addEventListener("click", () => {
            
                        send("FP_ADD_SONG_NOW", results.videos[add_to.id.replace("_padd", "")].url)
            
                    })
            
                    
            
                
                }
            }
    
        }) 
    
    })
})

function fp_play_playlist(key) {
    
    send("FP_PLAY_PLAYLIST", key)
}


const cPlaylistManager = document.getElementById("current_playlistManager")
const cplaylistManager_close = document.getElementById("current_playlistManager_close")
const cplaylistSelection = document.getElementById("current_playlistSelection")
const cplaylist_add_music = document.getElementById("current_playlist_add_music")
const cplaylist_add_img = document.getElementById("current_playlist_add_img")
const cplaylistAddSong = document.getElementById("current_playlistAddSong")

takeCurrent.addEventListener("click", () => {

    if(currentSong != null) {

        var thumbnail = currentSong.thumbnail

        if(!thumbnail) {

            thumbnail = "/images/black-image.svg"
        }

        cPlaylistManager.showModal()
        cplaylist_add_music.innerHTML = currentSong.title
        cplaylist_add_img.src = thumbnail
        cplaylistSelection.innerHTML = playlistAvailable

    }

})

cplaylistManager_close.addEventListener("click", () => {

    cPlaylistManager.close()
})

cplaylistAddSong.addEventListener("click", () => {

                        
    cPlaylistManager.close()
    socket.emit("SEND/ADD_SONG_TO_PLAYLIST", cplaylistSelection.value , currentSong )
    
   

})



volBox.classList.add("invisible")
listBox.classList.add("invisible")

list.addEventListener("click" , () => {

    volBox.classList.add("invisible")

    if(listBox.classList.contains('invisible')) {
        listBox.classList.remove("invisible")
      
    } else {

        listBox.classList.add("invisible")
    }
})

// Apply the width of element1 to element2


vol.addEventListener("click", () => {

    listBox.classList.add("invisible")

    if(volBox.classList.contains('invisible')) {
        volBox.classList.remove("invisible")
      
    } else {

        volBox.classList.add("invisible")
    }
 
})

volRange.addEventListener("click", () => {
    

    send("VOLUME", volRange.value)
})

volRange.addEventListener("input", () => {

   
    volTxt.innerHTML = volRange.value + "%"
})



disconnect.addEventListener("click", () => {

    get("DISCONNECT")
})




reportBtn.addEventListener("click", () => {

    report_desc.value = ""
    report_level.value = "Majeur"
    report_dialog.showModal()
})

report_close.addEventListener("click", () => {

    report_dialog.close()
})

report_send.addEventListener("click", () => {

    send("REPORT", {"level":report_level.value, "desc": report_desc.value})
    report_dialog.close()
})

loop.addEventListener("click", () => {

    get("LOOP")
})

shuffle.addEventListener("click", () => {

    get("SHUFFLE")
})



var durationAll = 0
var durationProgress = 0
var isPlaying = false
let interval;

durationBar.addEventListener("change", () => {

    send("SEEK", durationBar.value)

})


userInfo.then(user => {

    settingsBtn.style.display = "none"

    var betastar = ""
    
    if(user.beta) {

        betastar = "<p class='beta'>BETA</p>"
    }

    if(user.admin == true) {

        settingsBtn.style.display = "flex"
    }

    userInfoDiv.innerHTML = "<div class='INDEX_userInfo_name'><p class='INDEX_gbname'>" + user.user.global_name + "</p><p class='INDEX_usrname'>" + user.user.username + "</p></div><div class='INDEX_picture'><img src='https://cdn.discordapp.com/avatars/" + user.user.id + "/" + user.user.avatar + "'>" + betastar + "</div>"

    
})


userInfoDiv.addEventListener("click", () => {

    if(userInfoPopup.classList.contains("invisible")) {

        userInfoPopup.classList.remove("invisible")
        userInfoPopup.style.left = (xMousePos - 110) + "px"
        userInfoPopup.style.top = yMousePos + "px"

    } 

})

userInfoPopup.classList.add("invisible")

userInfoPopup.addEventListener("mouseleave", () => {

    userInfoPopup.classList.add("invisible")
})





get("MUSIC_STATE").then(data => {
    console.log(data)
})

play.addEventListener('click', () => {

    get("PAUSE")
})

backward.addEventListener('click', () => {

    get("BACKWARD")
})


forward.addEventListener("click", () => {

    get("FORWARD")
})

socket.on("/ALWAYS/MUSIC_STATE", (data) => {

    stopInterval()
    console.log(data)

    durationAll = 0
    durationProgress = 0
    isPlaying = false

    if(data.isOnline) {
       
        vol.classList.remove("disabled")
        shuffle.classList.remove("disabled")
        list.classList.remove("disabled")
        play.classList.remove("pri_disable")
        disconnect.classList.remove("invisible")
        volRange.classList.add("disabled")

        volRange.disabled = false
    } else {

        vol.classList.add("disabled")
        shuffle.classList.add("disabled")
        list.classList.add("disabled")
        play.classList.add("pri_disable")
        disconnect.classList.add("invisible")
        volRange.classList.add("disabled")
        volRange.disabled = true
        volRange.value = 0
        volTxt.innerHTML = "0%"
        volBox.classList.add("invisible")
      
    }

    if(data.volume) {
        volRange.step = 1
        volRange.max = 200
        volRange.min = 1
        volRange.value = Math.trunc(data.volume / 10)
        volTxt.innerHTML = Math.trunc(data.volume / 10) + "%"

        var volNum = Math.trunc(data.volume / 10)

      

    } else {

        volRange.classList.add("disabled")
        volRange.disabled = true
        volRange.value = 0
        volTxt.innerHTML = "0%"
    }

    if(data.shuffle == true) {
        shuffle.innerHTML = '<i class="third-join fa fa-shuffle"></i>'

    } else {

        shuffle.innerHTML = '<i class="fa fa-shuffle"></i>'
    }

    if(data.loop == true) {
        loop.innerHTML = '<i class="third-join fa fa-retweet"></i>'

    } else {

        loop.innerHTML = '<i class="fa fa-retweet"></i>'
    }

    if(data.current == null) {

        musicURL.innerHTML = '<img class="showPicture" src="images/black-image.svg">'
        musicTitle.innerHTML = "<p>Aucun titre joué</p>"
        loop.classList.add("invisible")
        takeCurrent.classList.add("invisible")
    } else {

        var thumbnail = data.current.thumbnail
    
        if(!thumbnail) {

            thumbnail = "/images/black-image.svg"
        }

        musicURL.innerHTML = '<img class="showPicture" src="' + thumbnail + '">'
        musicTitle.innerHTML = "<p>" + data.current.title + "</p>"
        currentSong = data.current
        takeCurrent.classList.remove("invisible")
        loop.classList.remove("invisible")
    }

    if(data.durationAll) {
        durationBar.disabled = false
        durationBar.classList.remove("grised")
        setTime()
       
        durationAll = data.durationAll
        durationProgress = data.durationNow
        durationBar.value = durationProgress
        setTime()

    } else {

       
        isPlaying = false
        durationAll = 0
        durationProgress = 0
        durationBar.disabled = true
        durationBar.classList.add("grised")
        durationBar.value = 0
        durationTextAct.innerHTML = "-:--"
        durationTextTotal.innerHTML = "-:--"
        
    }


    if(data.playing == 1) {
        play.innerHTML = '<i class="fas fa-pause"></i>'
        isPlaying = true
        startInterval()
    } else {
        
        play.innerHTML = '<i class="fas fa-play"></i>'
        isPlaying = false
       
    }

   
  
    if(data.current && data.playing == 0) {
        setTime()

    }



    if(data.queue != null) {

        var contentToPush = new Array()
        var queueNum = 0

        for(var title of data.queue) {
            queueNum += 1
            console.log(queueNum)
            console.log(data.queue.indexOf(title) + " - " + title.title)
            contentToPush.push(' <div class="song"> <img class="list_thumbnail" src="' + title.thumbnail + '"><div class="list_titleSong"> <p class="list_title">' + title.title + '</p></div> <button id="' + data.queue.indexOf(title) + '_lmove" class="list_upSong"><i class="fa fa-arrow-up"></i></button> <button id="' + data.queue.indexOf(title) + '_ldelete" class="list_delete"><i class="fa fa-trash"></i></button> </div>')
        }

        if(contentToPush.join("") == "") {
           
            listNumber.classList.add("invisible")
            listBox.innerHTML = '<p class="list_error">Aucun morceau dans la liste de lecture !</p>'
        
        } else {
            listNumber.innerHTML = '<span class="numtext">' + queueNum + '</span>'
            listNumber.classList.remove("invisible")
            listBox.innerHTML = contentToPush.join("")
        }

        for(var title of data.queue) {

            console.log(data.queue.indexOf(title) + " - " + title.title)
            
            const titleBtn = document.getElementById(data.queue.indexOf(title)+ "_ldelete")
            const moveBtn = document.getElementById(data.queue.indexOf(title)+ "_lmove")
            
            titleBtn.addEventListener("click", () => {

               send("DELETE_QUEUE", titleBtn.id.replace("_ldelete", ""))
            })

            moveBtn.addEventListener("click", () => {

                send("MOVE_QUEUE", moveBtn.id.replace("_lmove", ""))

            })
        }
       

    } else {

        listBox.innerHTML = '<p class="list_error">Lancez un titre et ajoutez vos morceaux ici !</p>'
        listNumber.classList.add("invisible")
    }

})

function startInterval() {
    interval = setInterval(() => {


        if(isPlaying == true) {
            setTime()
    
        } 
    
    }, 1000)

}

function stopInterval() {
    clearInterval(interval);
}
  





function setTime() {


    durationBar.max = durationAll
    durationProgress += 1000 
    durationBar.value = durationProgress

    
    const maxhours = Math.floor(durationAll / 3600000);
    const nowhours = Math.floor(durationProgress / 3600000);

    

    var maxmin = Math.trunc(durationAll / 60000) - (Math.floor(durationAll / 60000 / 60) * 60);
    var maxsec = Math.floor(durationAll / 1000) - (Math.floor(durationAll / 1000 / 60) * 60);
    var nowmin = Math.trunc(durationProgress / 60000) - (Math.floor(durationProgress / 60000 / 60) * 60);
    var nowsec = Math.floor(durationProgress / 1000) - (Math.floor(durationProgress / 1000 / 60) * 60);

    console.log(durationAll)
    console.log(durationProgress)
    console.log("---------------------")

    var now = ""
    var max = ""


    if (maxmin < 10) {
        maxmin = `0${maxmin}`;
    }

    if (nowmin < 10) {
        nowmin = `0${nowmin}`;
    }

    if (maxsec < 10) {
        maxsec = `0${maxsec}`;
    }

    if (nowsec < 10) {
        nowsec = `0${nowsec}`;
    }

    if(maxhours != 0) {
       
        max =  maxhours + ":" + maxmin + ":" + maxsec
    } else {
        max =  maxmin + ":" + maxsec
       
    }

    if(nowhours != 0) {
       
        now =  nowhours + ":" + nowmin + ":" + nowsec
    } else {
        now =  nowmin + ":" + nowsec
       
    }

    

   durationTextAct.innerHTML = now
   durationTextTotal.innerHTML = max
}


